Bug 73515 - EDITING: Legend information disappears after document reload
Summary: EDITING: Legend information disappears after document reload
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Chart-Legends
  Show dependency treegraph
 
Reported: 2014-01-12 08:12 UTC by opensuse.lietuviu.kalba
Modified: 2019-08-27 13:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Dokument to test (34.32 KB, application/vnd.oasis.opendocument.presentation)
2014-01-12 08:12 UTC, opensuse.lietuviu.kalba
Details
Explain inserting categories (159.27 KB, image/png)
2015-06-22 06:13 UTC, opensuse.lietuviu.kalba
Details

Note You need to log in before you can comment on or make changes to this bug.
Description opensuse.lietuviu.kalba 2014-01-12 08:12:41 UTC
Created attachment 91891 [details]
Dokument to test

Problem description: 

After legend modification (changing names of data series (categories of subjects)) and document reopening – names in legend disappears.

Steps to reproduce:
1. Open attached Impress file.
2. Double click on plot.
3. View−>Chart Data Table.
4. Insert names of data series (categories of subjects). Now in legend you will see names 
5. Save document.
6. Reopen document.

Current behavior:

Legend has no names of data series (categories of subjects).
If you double click on plot, go View−>Chart Data Table, then fields of names are empty.
Sometimes (not always) also disappears error bars.

Expected behavior:

Names of data series is saved in document, it survives reopening.
              
Operating System: openSUSE
Version: 4.1.2.3 release
Comment 1 Graeme 2014-02-27 06:04:51 UTC
Still happening in Version: 4.1.5.3
Comment 2 sophie 2014-04-01 13:56:12 UTC
Strange, if I add name to the 3 series in your document, they are not retained, if I create a new series and name it, the name is retained. Do you reproduce with another document or is it only this one?
Tested with 4.1.5.3 under Debian 6 - Set as New - Sophie
Comment 3 QA Administrators 2015-06-08 14:41:51 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-06-21 18:22:38 UTC
(In reply to Mindaugas Baranauskas from comment #0)
> 4. Insert names of data series (categories of subjects). Now in legend you
> will see names 

How do I do this?
Comment 5 opensuse.lietuviu.kalba 2015-06-22 06:11:01 UTC
Bug still exist in LibreOffice 4.4.3.2 (id 88805f81e9fe61362df02b9941de8e38a9b5fd16)
Comment 6 opensuse.lietuviu.kalba 2015-06-22 06:13:09 UTC
Created attachment 116718 [details]
Explain inserting categories

(In reply to Beluga from comment #4)
> (In reply to Mindaugas Baranauskas from comment #0)
> > 4. Insert names of data series (categories of subjects). Now in legend you
> > will see names 
> 
> How do I do this?

You will find hint in attached image
Comment 7 QA Administrators 2016-09-20 10:10:13 UTC Comment hidden (obsolete)
Comment 8 opensuse.lietuviu.kalba 2016-09-20 19:50:07 UTC
BUG still exist in LibreOffice 5.2.1.2, 
System: openSUSE Linux 13.2 64 bit
LO installed from LibreOffice site RPM packages
Comment 9 Xisco Faulí 2017-09-29 08:51:45 UTC Comment hidden (obsolete)
Comment 10 opensuse.lietuviu.kalba 2017-09-29 09:05:42 UTC
I can reproduce in 
LibreOffice 5.4.1.2
id: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527
OS: Linux 4.4 (openSUSE Leap 42.3)
Comment 11 QA Administrators 2018-09-30 02:48:45 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug